<script lang="ts">
  export let data = {
    image: '',
    title: '',
    link: '',
  };
</script>

<div class="card container">
  <img src={data.image} />
  <div class="title">{data.title}</div>
  <button>join</button>
</div>

<style>
  .card {
    position: relative;
    display: flex;
    height: 250px;
    flex-direction: column;
    align-items: center;
    padding: calc(var(--content-margin) / 2);
    border-radius: var(--radius-3);
    background-color: white;
  }

  img {
    width: 100%;
    height: 100px;
    border-radius: var(--radius-2);
  }

  .title {
    text-align: center;
  }

  button {
    position: relative;
    width: 100%;
    padding: 10px;
    border: 1px solid silver;
    border-radius: var(--radius-1);
    margin-top: auto;
  }
</style>
